var Handler = require('../../handler/handler');
var Meta = require('../constants').Meta;
var VERSION = require('../../../../package.json').version;

var VersionHandler = function () {
}

VersionHandler.prototype = new Handler();

/**
 * @param datapoint Datapoint
 */
VersionHandler.prototype.handle = function (datapoint) {
  datapoint.putMeta(Meta.PROVIDER, "bitsensor-nodejs");
  datapoint.putMeta(Meta.VERSION, VERSION);
};

module.exports = VersionHandler;
