var BitSensor = require('./bitsensor');
var VersionHandler = require('./handler/bitsensor_version_handler');
var EnvironmentHandler = require('./handler/environment_handler');
var TimeHandler = require('./handler/time_handler');
var ApplicationHandler = require('./handler/application_handler');


bitSensor = new BitSensor();
bitSensor.addPostHandler(new VersionHandler());
bitSensor.addPostHandler(new EnvironmentHandler());
bitSensor.addPostHandler(new TimeHandler());
bitSensor.addPostHandler(new ApplicationHandler());

require('../hook');
