// int32 code = 1;
// string description = 2;
// string location = 3;
// int32 line = 4;
// string type = 5;
// GeneratedBy generatedby = 6;
// int64 hash = 7;
// repeated string context = 8;

const isValidString = require('./utils').isValidString;

const Error = function () {
  this.code;
  this.description;
  this.type;
  this.location;
  this.line;
};

Error.prototype.setCode = function (code) {
  if (Number.isInteger(code))
    this.code = code;

  return this;
};

Error.prototype.setDescription = function (desc) {
  if (isValidString(desc))
    this.description = desc;

  return this;
};

Error.prototype.setType = function (type) {
  if (isValidString(type))
    this.type = type;

  return this;
};

Error.prototype.setLocation = function (location) {
  if (isValidString(location))
    this.location = location;

  return this;
};

Error.prototype.setLine = function (line) {
  if (Number.isInteger(line))
    this.line = line;

  return this;
};

module.exports = Error;