var Handler = require('../../handler/handler');
var moment = require('moment');
var Endpoint = require('../../core/constants').Endpoint;

var ApplicationHandler = function () {
  this.startupDate = moment().format('YYYY-MM-DDTHH:mm:ss.SSSZZ');
}

ApplicationHandler.prototype = new Handler();

/**
 * @param datapoint Datapoint
 */
ApplicationHandler.prototype.handle = function (datapoint) {
  datapoint.putEndpoint(Endpoint.APPLICATION, bitSensor.config.applicationName);
  datapoint.putEndpoint(Endpoint.START_DATE, this.startupDate);
};


module.exports = ApplicationHandler;