const _ = require('lodash');

const isValidString = str => _.isString(str) && str.trim();
const isValidMapEntry = (key, value) => isValidString(key) && isValidString(value);

module.exports = {
  isValidString,
  isValidMapEntry
};